<div class="container" id="container">
  <div class="form-container sign-up-container">
      <form [formGroup]="passwordForm" (ngSubmit)="submitPass(passwordForm.value)">
          <h1>Please enter information</h1>

          <input type="text" placeholder="Code" name="code" id="code" formControlName="code" />

          <div class="form-row">
            <div class="form-group col-md-10">
              <input matInput class="form-control" type="password" placeholder="New password" name="newPassword" id="newPassword" formControlName="password"  [type]="hide ? 'password': 'text'"/>
            </div>
            <div class="form-group col-md-2">
                <i class="material-icons" matSuffix (click)= "hide = !hide" style="cursor:pointer;">
                    {{hide ? 'visibility':'visibility_off'}}
                </i>
            </div>
        </div>

          <button type="submit" [disabled]="!passwordForm.valid">Confirm</button>
      </form>
  </div>

  <div class="form-container log-in-container">
      <form [formGroup]="emailForm" (ngSubmit)="submitEmail(emailForm.value)">
          <h1>Please enter your email here</h1>
          <input type="email" placeholder="Email" name="checkEmail" id="checkEmail" formControlName="email" />
          <button type="submit" [disabled]="!emailForm.valid">Next</button>
      </form>
  </div>
  <div class="overlay-container" id="container1">
      <div class="overlay">
          <div class="overlay-panel overlay-left">
              <h1>Change your password!</h1>
              <p>Check your email and enter the security code You've received. Then enter your new password and remember it!</p>
              <br>
              <!--<h4>Narodna poslovica: Pametan piše, budala pamti! :-D</h4>-->
          </div>
          <div class="overlay-panel overlay-right">
              <h1>Account recovery</h1>
              <p>Enter an email address which you've used to register, so we can contact you later.</p>
          </div>
      </div>
  </div>
</div>
